Bug 121214 - Removing docbook-dtds errors
Removing docbook-dtds errors
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: docbook-dtds (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-19 05:35 EDT by Alex Kiernan
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.0-29
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-10 04:53:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Kiernan 2004-04-19 05:35:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040312 Epiphany/1.1.12

Description of problem:
When removing docbook-dtds get error:

Failed to remove entry from /etc/sgml/catalog
/var/tmp/rpm-tmp.95353: line 49: [: : integer expression expected

Version-Release number of selected component (if applicable):
docbook-dtds-1.0-24

How reproducible:
Always

Steps to Reproduce:
1. yum install docbook-dtds
2. rpm -e docbook-dtds openjade
3.
    

Additional info:
Comment 1 Mads Kiilerich 2005-11-09 18:46:29 EST
apparently bco 
SGML=$(cat -n ${CATALOG} | grep sgml-docbook | head -1 | (read n line;echo $n))
XML=$(cat -n ${CATALOG} | grep xml-docbook | head -1 | (read n line; echo $n))
# Do they need switching around?
if [ "${XML}" -lt "${SGML}" ]
which fails if catalog is empty

it could be fixed by
if [ "${XML}" -a "${SGML}" ] && [ "${XML}" -lt "${SGML}" ]
Comment 2 Tim Waugh 2005-11-10 04:53:50 EST
This was fixed in 1.0-29.  Thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.